Package be.cin.mycarenet._1_0.carenet.types

# Class MedAdminResponseList

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.MedAdminResponseList

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class MedAdminResponseList extends Object implements Serializable

Java class for MedAdminResponseListType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MedAdminResponseListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded">
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SingleNurseContractualCareResponse"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SingleNurseContractualCareUpdate"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SinglePalliativeCareResponse"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SingleSpecificTechnicalCareResponse"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MedAdminResponseList()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Serializable>`
  `getSingleNurseContractualCareResponsesAndSingleNurseContractualCareUpdatesAndSinglePalliativeCareResponses()`
  The SinleNurseContractualCareResponse element is the response made by the OA to a request done by a nurse for contractal care.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MedAdminResponseList

    public MedAdminResponseList()

- ## Method Details

  - ### getSingleNurseContractualCareResponsesAndSingleNurseContractualCareUpdatesAndSinglePalliativeCareResponses

    public List<Serializable> getSingleNurseContractualCareResponsesAndSingleNurseContractualCareUpdatesAndSinglePalliativeCareResponses()
    The SinleNurseContractualCareResponse element is the response made by the OA to a request done by a nurse for contractal care. Message type: 410900 or 410999 Gets the value of the singleNurseContractualCareResponsesAndSingleNurseContractualCareUpdatesAndSinglePalliativeCareResponses property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the singleNurseContractualCareResponsesAndSingleNurseContractualCareUpdatesAndSinglePalliativeCareResponses property.

    For example, to add a new item, do as follows:

         getSingleNurseContractualCareResponsesAndSingleNurseContractualCareUpdatesAndSinglePalliativeCareResponses().add(newItem);

    Objects of the following type(s) are allowed in the list `SingleNurseContractualCareResponse` `SingleNurseContractualCareUpdate` `SinglePalliativeCareResponse` `SingleSpecificTechnicalCareResponse`

    Returns:
      The value of the singleNurseContractualCareResponsesAndSingleNurseContractualCareUpdatesAndSinglePalliativeCareResponses property.